Disputes - Retrieve Dispute Evidence
curl --request GET \
--url https://sandbox.hyperswitch.io/disputes/evidence/{dispute_id} \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.hyperswitch.io/disputes/evidence/{dispute_id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.hyperswitch.io/disputes/evidence/{dispute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"evidence_type": "cancellation_policy",
"file_metadata_response": {
"file_id": "<string>",
"file_size": 123,
"file_type": "<string>",
"available": true,
"file_name": "<string>"
}
}
]{
"error_type": "invalid_request",
"message": "Missing required param: {param}",
"code": "IR_04"
}Disputes
Disputes - Retrieve Dispute Evidence
Retrieves evidence for a dispute
GET
/
disputes
/
evidence
/
{dispute_id}
Disputes - Retrieve Dispute Evidence
Authorizations
api_keyjwt_key
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The identifier for dispute
Response
The dispute evidence was retrieved successfully
Available options:
cancellation_policy, customer_communication, customer_signature, receipt, refund_policy, service_documentation, shipping_documentation, invoice_showing_distinct_transactions, recurring_transaction_agreement, uncategorized_file Show child attributes
Show child attributes
Was this page helpful?